Skip to Content.
Sympa Menu

fr - Re: [sympa-fr] Librairie Unicode

Subject: Pour les administrateurs de serveurs de listes utilisant le logiciel Sympa

List archive

Chronological Thread  
  • From: Benoit Branciard <address@concealed>
  • To: address@concealed
  • Subject: Re: [sympa-fr] Librairie Unicode
  • Date: Thu, 25 Aug 2011 14:57:46 +0200

Le 25/08/2011 11:58, David Verdin a écrit :

Mathieu : Ce problème était dû à une mauvaise utilisation de notre part
de la bibliothèque Text::LineFold. Normalement, justement, la version
6.1.6 corrige ce problème. Comme nous travaillons avec la dernière
version de Unicode::LineBreak (qui fournit Text::LineFold), il est
possible que des versions plus anciennes aient des soucis. En ce cas,
nous mettrons à jour de nouveau la version à utiliser.
Peux-tu me dire quelle version de ce module tu utilises ?


Le 25 août 2011à 09:42, Mathieu LARCHET aécrit :

J'avais envoyé un message en 2010
(https://listes.cru.fr/sympa/arc/sympa-fr/2010-11/msg00049.html) concernant
un souci dans les messages de confirmation, en effet le lien 'mailto' est
coupé en deux, et ne fonctionne pas.

L'installation de la librairie Unicode::LineBreak résoud le problème, et
j'avais eu confirmation que cette librairie serait désormais incluse dans les
vérifications effectuées par sympa_wizard.pl.

J'ai misà jour hier mon Sympa, 6.1.4 => 6.1.6, et j'ai de nouveau rencontré
le même problème.
Je précise que cette librairie avaitété installéeà la main (cpan
install...) et n'avait pasété désinstallée.

Il doit y avoir un raté dans le sympa_wizard qui ne vérifie pas correctement
cette librairie.


Je confirme avoir eu le même problème de lien "mailto:sympa@..."; tronqué dans les messages de demande de confirmation depuis notre passage en 6.1.6.

Le problème a été résolu en installant la dernière version de Unicode::LineBreak (2011.05) via CPAN.

NOTE: une version de Unicode::LineBreak (1.008) était déjà présente sur le système via les paquetages de la distribution (Debian Lenny, paquet perl-modules). Le nouveau module fait donc doublon, je n'ai pas de certitude sur le fait que ce sera toujours la version la plus élevée qui sera utilisée au lancement de Sympa...

Pour info les modules Perl installés via les paquets Debian sont en /usr, tandis que ceux installés à la main avec CPAN vont en /usr/local.




--
Benoit BRANCIARD
Service InfraStructures (SIS) - Direction du Système d'Information (DSI)
Université Paris 1 Panthéon-Sorbonne
Centre Pierre Mendès France
B 406 - 90, rue de Tolbiac - 75634 Paris cedex 13 - France
Tél : +33 1 44 07 89 68 - Fax : +33 1 44 07 89 66
Accueil tél. : +33 1 44 07 89 65
Assistance : address@concealed
Web : http://dsi.univ-paris1.fr

--
Ce message a ete verifie par MailScanner
pour des virus ou des polluriels et rien de
suspect n'a ete trouve.




Archive powered by MHonArc 2.6.19+.

Top of Page